/// <reference types="react" />
import * as React from 'react';
import './Menu.scss';
export interface MenuProps {
    menuData: any;
}
export declare class Menu extends React.Component {
    constructor(props: MenuProps);
    private generateMenu();
    render(): JSX.Element;
}
